Bug#561216: wxwidgets2.6_2.6.3.2.2-4(unstable/sparc/lebrun): src/gtk/mdi.cpp:7565880: error: expected initializer

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#561216: wxwidgets2.6_2.6.3.2.2-4(unstable/sparc/lebrun): src/gtk/mdi.cpp:7565880: error: expected initializer

Marc Brockschmidt-4
Package: wxwidgets2.6
Version: 2.6.3.2.2-4
Severity: serious

Heya,

Building your package failed on sparc:

| ./bk-deps g++ -c -o coredll_mdi.o -I.pch/wxprec_coredll -D__WXGTK__          -I../src/regex  -DWXUSINGDLL -DWXMAKINGDLL_CORE -DwxUSE_BASE=0 -fPIC -DPIC -DWX_PRECOMP -DNO_GCC_PRAGMA -D__WXDEBUG__ -Ilib/wx/include/gtk2-unicode-debug-2.6 -I../include -D_REENTRANT -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -g -O0 -g -O2 -pthread -D_REENTRANT -I/usr/include/libgnomeprintui-2.2 -I/usr/include/libgnomeprint-2.2 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/gtk-2.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/directfb -I/usr/include/libpng12 -Wall -Wundef -Wno-ctor-dtor-privacy ../src/gtk/mdi.cpp
| ../src/gtk/mdi.cpp:7565880: error: expected initializer
| make[1]: *** [coredll_mdi.o] Error 1
| make[1]: Leaving directory `/build/buildd-wxwidgets2.6_2.6.3.2.2-4-sparc-mzJt08/wxwidgets2.6-2.6.3.2.2/objs_gtk_d'
| make: *** [build-gtk-debug-stamp] Error 2
| dpkg-buildpackage: error: debian/rules build gave error exit status 2

A complete build log can be found at
http://buildd.debian.org/build.php?arch=sparc&pkg=wxwidgets2.6&ver=2.6.3.2.2-4

Marc
--
Fachbegriffe der Informatik - Einfach erklärt
87: CIDR
       Die dezimale Quersumme der binären Repräsentation der
       Netzmaske. (Aldo)



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#561216: [Freewx-maint] Bug#561216: wxwidgets2.6_2.6.3.2.2-4(unstable/sparc/lebrun): src/gtk/mdi.cpp:7565880: error: expected initializer

Ryan Niebur-3
Hi Marc!

first, thanks for the prompt bug report.

but, could we try giving back wxwidgets2.6? justification below.

On Tue, Dec 15, 2009 at 09:20:29AM +0100, Marc 'HE' Brockschmidt wrote:

> Package: wxwidgets2.6
> Version: 2.6.3.2.2-4
> Severity: serious
>
> Heya,
>
> Building your package failed on sparc:
>
> | ./bk-deps g++ -c -o coredll_mdi.o -I.pch/wxprec_coredll -D__WXGTK__          -I../src/regex  -DWXUSINGDLL -DWXMAKINGDLL_CORE -DwxUSE_BASE=0 -fPIC -DPIC -DWX_PRECOMP -DNO_GCC_PRAGMA -D__WXDEBUG__ -Ilib/wx/include/gtk2-unicode-debug-2.6 -I../include -D_REENTRANT -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -g -O0 -g -O2 -pthread -D_REENTRANT -I/usr/include/libgnomeprintui-2.2 -I/usr/include/libgnomeprint-2.2 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/gtk-2.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/directfb -I/usr/include/libpng12 -Wall -Wundef -Wno-ctor-dtor-privacy ../src/gtk/mdi.cpp
> | ../src/gtk/mdi.cpp:7565880: error: expected initializer
> | make[1]: *** [coredll_mdi.o] Error 1
> | make[1]: Leaving directory `/build/buildd-wxwidgets2.6_2.6.3.2.2-4-sparc-mzJt08/wxwidgets2.6-2.6.3.2.2/objs_gtk_d'
> | make: *** [build-gtk-debug-stamp] Error 2
> | dpkg-buildpackage: error: debian/rules build gave error exit status 2
>
This doesn't happen in sperger's chroot (which zobel just
upgraded). it fails for a different reason there (which I think is
also transient), but later on in the build process after it's already
built mdi.c.

specifically, I get this:
cd wxPython                                                     \
                && python2.4-dbg ./setup.py build                       \
                                            WX_CONFIG='/home/ryan/wxwidgets2.6-2.6.3.2.2/objs_gtk_d/wx-config --no_rpath' \
                                            WXPORT=gtk2         \
                                            UNICODE=1                   \
                                            FLAVOUR=dbg
Fatal Python error: Interpreter not initialized (version mismatch?)
/bin/bash: line 5: 17622 Aborted                 python2.4-dbg ./setup.py build WX_CONFIG='/home/ryan/wxwidgets2.6-2.6.3.2.2/objs_gtk_d/wx-config --no_rpath' WXPORT=gtk2 UNICODE=1 FLAVOUR=dbg
make: *** [build-gtk-dbg-py2.4-stamp] Error 134
dpkg-buildpackage: error: debian/rules build gave error exit status 2
(sid)ryan@sperger:~/wxwidgets2.6-2.6.3.2.2$

anyways, I think it might work if it's tried again on a buildd.

Cheers,
Ryan

--
_________________________
Ryan Niebur
[hidden email]

signature.asc (204 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#561216: [Freewx-maint] Bug#561216: wxwidgets2.6_2.6.3.2.2-4(unstable/sparc/lebrun): src/gtk/mdi.cpp:7565880: error: expected initializer

Marc Brockschmidt-4
Ryan Niebur <[hidden email]> writes:

> On Tue, Dec 15, 2009 at 09:20:29AM +0100, Marc 'HE' Brockschmidt wrote:
>> Building your package failed on sparc:
>>
>> | ./bk-deps g++ -c -o coredll_mdi.o -I.pch/wxprec_coredll -D__WXGTK__          -I../src/regex  -DWXUSINGDLL -DWXMAKINGDLL_CORE -DwxUSE_BASE=0 -fPIC -DPIC -DWX_PRECOMP -DNO_GCC_PRAGMA -D__WXDEBUG__ -Ilib/wx/include/gtk2-unicode-debug-2.6 -I../include -D_REENTRANT -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -g -O0 -g -O2 -pthread -D_REENTRANT -I/usr/include/libgnomeprintui-2.2 -I/usr/include/libgnomeprint-2.2 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/gtk-2.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/directfb -I/usr/include/libpng12 -Wall -Wundef -Wno-ctor-dtor-privacy ../src/gtk/mdi.cpp
>> | ../src/gtk/mdi.cpp:7565880: error: expected initializer
>> | make[1]: *** [coredll_mdi.o] Error 1
>> | make[1]: Leaving directory `/build/buildd-wxwidgets2.6_2.6.3.2.2-4-sparc-mzJt08/wxwidgets2.6-2.6.3.2.2/objs_gtk_d'
>> | make: *** [build-gtk-debug-stamp] Error 2
>> | dpkg-buildpackage: error: debian/rules build gave error exit status 2
>>
>
> This doesn't happen in sperger's chroot (which zobel just
> upgraded). it fails for a different reason there (which I think is
> also transient), but later on in the build process after it's already
> built mdi.c.
Hum. Well, I've given it back for now, but random FTBFSing is something
that needs to be fixed - we don't want to be in a position where a
security fix for stable won't build because of something like
this. Please watch out for further problems and try to get to the cause
of this.

Marc
--
: Du müßtest nach dem eigentlichen Mailabruf das Adminpostfach des
: Hamsters zusätzlich abfragen (der Hamster muß sich also selbst popen).
Aus <[hidden email]> von Daniel Srostlik.

attachment0 (202 bytes) Download Attachment